## ros-rolling-rviz-2d-overlay-plugins 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(rviz_2d_overlay_plugins)

# find dependencies
find_package(ament_cmake REQUIRED)

find_package(rviz_2d_overlay_msgs REQUIRED)

find_package(rviz_common REQUIRED)
find_package(rviz_rendering REQUIRED)
find_package(rviz_ogre_vendor REQUIRED)
find_package(std_msgs REQUIRED)

set(
        headers_to_moc
        include/overlay_text_display.hpp
        include/pie_chart_display.h
)

foreach (header "${headers_to_moc}")
    qt5_wrap_cpp(display_moc_files "${header}")
endforeach ()

set(
        display_source_files
        src/overlay_text_display.cpp
        src/overlay_utils.cpp
        src/pie_chart_display.cpp
)

add_executable(string_to_overlay_text src/string_to_overlay_text.cpp)
ament_target_dependencies(string_to_overlay_text rclcpp std_msgs rviz_2d_overlay_msgs)

add_library(
        ${PROJECT_NAME} SHARED
        ${display_moc_files}
        ${display_source_files}
)

set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 17)
target_compile_options(${PROJECT_NAME} PRIVATE -Wall -Wextra -Wpedantic)

target_include_directories(
        ${PROJECT_NAME} PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        $<INSTALL_INTERFACE:include>
        ${Qt5Widgets_INCLUDE_DIRS}
        ${OpenCV_INCLUDE_DIRS}
)

target_link_libraries(
        ${PROJECT_NAME} PUBLIC
        rviz_ogre_vendor::OgreMain
        rviz_ogre_vendor::OgreOverlay
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "${PROJECT_NAME}_BUILDING_LIBRARY")

# prevent pluginlib from using boost
target_compile_definitions(${PROJECT_NAME} PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

pluginlib_export_plugin_description_file(rviz_common plugins_description.xml)

ament_target_dependencies(
        ${PROJECT_NAME}
        PUBLIC
        rviz_common
        rviz_rendering
        rviz_2d_overlay_msgs
        std_msgs
)

ament_export_include_directories(include)
ament_export_targets(${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(
        rviz_common
        rviz_ogre_vendor
)

install(
        TARGETS ${PROJECT_NAME}
        EXPORT ${PROJECT_NAME}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin
        INCLUDES DESTINATION include
)

install(
        DIRECTORY include/
        DESTINATION include
)

install(
        TARGETS
        string_to_overlay_text
        DESTINATION lib/${PROJECT_NAME}
)

ament_package(
        CONFIG_EXTRAS "rviz_2d_overlay_plugins-extras.cmake"
)

=== debian/changelog ===
ros-rolling-rviz-2d-overlay-plugins (1.3.0-1jammy) jammy; urgency=high

  * Added string to overlay text converter node
  * fix QT build warnings
  * Contributors: Ernő Horváth, Jonas Otto, szepilot

 -- Team Spatzenhirn <team-spatzenhirn@uni-ulm.de>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-rviz-2d-overlay-plugins (1.2.1-1jammy) jammy; urgency=high

  * Add package documentation using doxygen
  * add rosdoc2 config
  * add readme at package level
  * Contributors: Jonas Otto, Dominik Authaler

 -- Team Spatzenhirn <team-spatzenhirn@uni-ulm.de>  Thu, 29 Sep 2022 22:00:00 -0000

ros-rolling-rviz-2d-overlay-plugins (1.2.0-1jammy) jammy; urgency=high

  * Add missing dependencies to package.xml
  * Fix various compiler-warnings (NFC)
  * Rename package from overlay_rviz_plugins to rviz_2d_overlay_plugins
  * Contributors: Jonas Otto

 -- Team Spatzenhirn <team-spatzenhirn@uni-ulm.de>  Mon, 26 Sep 2022 22:00:00 -0000

ros-rolling-rviz-2d-overlay-plugins (1.1.0-1jammy) jammy; urgency=high

  * implemented reset
  * port pie chart plugin to ROS2
  * Contributors: Dominik, Jonas Otto

 -- Team Spatzenhirn <team-spatzenhirn@uni-ulm.de>  Sat, 10 Sep 2022 22:00:00 -0000

ros-rolling-rviz-2d-overlay-plugins (1.0.0-1jammy) jammy; urgency=high

  * port to ros2
  * add overlay plugin sources from jsk_visualization
  * Contributors: Jonas Otto, Dominik Authaler

 -- Team Spatzenhirn <team-spatzenhirn@uni-ulm.de>  Mon, 29 Aug 2022 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-rviz-2d-overlay-plugins
Section: misc
Priority: optional
Maintainer: Team Spatzenhirn <team-spatzenhirn@uni-ulm.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-rolling-ament-cmake, ros-rolling-rviz-2d-overlay-msgs, ros-rolling-rviz-common, ros-rolling-rviz-ogre-vendor, ros-rolling-rviz-rendering, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rviz-2d-overlay-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-rolling-rviz-2d-overlay-msgs, ros-rolling-rviz-common, ros-rolling-rviz-ogre-vendor, ros-rolling-rviz-rendering, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: RViz2 plugin for 2D overlays in the 3D view.
 Mainly a ROS2 port of the JSK overlay plugin (https://github.com/jsk-ros-pkg/jsk_visualization).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz-2d-overlay-plugins//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
